NuGet?

Dec 12, 2012 at 5:00 PM

It would be nice if we had NuGet packages so things worked well with the existing Lucene.Net NuGet packages.

Do you need help with that?

Coordinator
Dec 14, 2012 at 9:32 AM

We would definitely love to have NuGet packages. The road blocker is that current Bobo version isn't compatible with Lucene.Net 3.0.3 at all. We plan to upgrade Bobo to latest Lucene version. But it will take time. After that it will make sense to create NuGet package. 

We welcome any contribution. Bug reports, unit tests, code improvements, NuGet packages. Feel free to contact me directly via skype : Leha-2304  

Dec 14, 2012 at 12:20 PM
I built a 2.9.4.1 nuget package for it (you can lock things to different versions). I'm using that version on my project right now, though I haven't tested Bobo with it.

I also needed to upgrade the framework to 4.0.

Had to tweak some other references as well.

When I get a change, I'll update a fork of it so you can see what I did.

Tom

Shcherbachev <notifications@codeplex.com> wrote:

From: Shcherbachev

We would definitely love to have NuGet packages. The road blocker is that current Bobo version isn't compatible with Lucene.Net 3.0.3 at all. We plan to upgrade Bobo to latest Lucene version. But it will take time. After that it will make sense to create NuGet package.

We welcome any contribution. Bug reports, unit tests, code improvements, NuGet packages. Feel free to contact me directly via skype : Leha-2304

Coordinator
Dec 14, 2012 at 12:50 PM

Version for 2.9.4.1 makes sense. However, NuGet package for 2.9.4.1 has only .Net 4.0 version. Now I remember, why we haven't created NuGet package already :) The reason is our core projects still must run on .Net 3.5 and creating a package that we were not going to use ourselves... well, didn't sound reasonable. 

I will be happy if you can help us with that anyway. 

Also, Bobo proved to work just fine for us under both .Net 4.0 and 3.5. 

Jan 2, 2015 at 8:30 PM
I have created a port of BoboBrowse.Net 3.1.0 which is compatible with the latest version of Lucne.Net (3.0.3). The package is now available on NuGet here. All tests are passing, the API is now stable, but I could use some assistance with testing to get it out of beta.